'\" t
.\"     Title: DROP ACCESS METHOD
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2021
.\"    Manual: PostgreSQL 9.6.24 Documentation
.\"    Source: PostgreSQL 9.6.24
.\"  Language: English
.\"
.TH "DROP ACCESS METHOD" "7" "2021" "PostgreSQL 9.6.24" "PostgreSQL 9.6.24 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
DROP_ACCESS_METHOD \- remove an access method
.SH "SYNOPSIS"
.sp
.nf
DROP ACCESS METHOD [ IF EXISTS ] \fIname\fR [ CASCADE | RESTRICT ]
.fi
.SH "DESCRIPTION"
.PP
\fBDROP ACCESS METHOD\fR
removes an existing access method\&. Only superusers can drop access methods\&.
.SH "PARAMETERS"
.PP
IF EXISTS
.RS 4
Do not throw an error if the access method does not exist\&. A notice is issued in this case\&.
.RE
.PP
\fIname\fR
.RS 4
The name of an existing access method\&.
.RE
.PP
CASCADE
.RS 4
Automatically drop objects that depend on the access method (such as operator classes, operator families, and indexes), and in turn all objects that depend on those objects (see
Section 5.13, \(lqDependency Tracking\(rq, in the documentation)\&.
.RE
.PP
RESTRICT
.RS 4
Refuse to drop the access method if any objects depend on it\&. This is the default\&.
.RE
.SH "EXAMPLES"
.PP
Drop the access method
heptree:
.sp
.if n \{\
.RS 4
.\}
.nf
DROP ACCESS METHOD heptree;
.fi
.if n \{\
.RE
.\}
.SH "COMPATIBILITY"
.PP
\fBDROP ACCESS METHOD\fR
is a
PostgreSQL
extension\&.
.SH "SEE ALSO"
CREATE ACCESS METHOD (\fBCREATE_ACCESS_METHOD\fR(7))
